%IDX3DTOROW Compute valid row based on indices of half-diff angles
%
%  R = IDX3DTOROW(P, MASKMAP) computes valid row R based on indices of
%  half-diff angles P. MASKMAP selects valid rows of data.
%  
%  R = IDX3DTOROW(P, MASKMAP) computes valid row R based on indices of
%  half-diff angles P. MASKMAP selects valid rows of data. HDS (5)
%  specifies step in half-diff parameterization.
%  Default values in brackets.
%
%  Radomir Vavra and Jiri Filip: Minimal Sampling
%  for Effective Acquisition of Anisotropic BRDFs.
%  Pacific Graphics 2016.
%
function r = idx3DtoRow(p, MaskMap, hds)

if (~exist('hds','var') || isempty(hds))
    hds = 5;
end

ntd = floor(89/hds)+1;
npd = floor(179/hds)+1;

idx = p(:,3,:)*npd*ntd + p(:,2,:)*npd + p(:,1,:) + 1;

r = mapIdxToValid(idx, MaskMap);
