%MAPIDXTOVALID Map index in data to valid row
%
%  V = MAPIDXTOVALID(IDX, MASKMAP) maps index IDX of row of all data
%  to valid row V. MASKMAP selects valid rows of data.
%  
%  Radomir Vavra and Jiri Filip: Minimal Sampling
%  for Effective Acquisition of Anisotropic BRDFs.
%  Pacific Graphics 2016.
%
function v = mapIdxToValid(idx, MaskMap)

i = zeros(length(MaskMap),1);
i(MaskMap) = (1:sum(MaskMap))';
v = i(idx);
