%MAPVALIDTOIDX Map valid row to index in data
%
%  IDX = MAPVALIDTOIDX(V, MASKMAP) maps valid row V to index IDX of row of
%  all data. MASKMAP selects valid rows of data.
%  
%  Radomir Vavra and Jiri Filip: Minimal Sampling
%  for Effective Acquisition of Anisotropic BRDFs.
%  Pacific Graphics 2016.
%
function idx = mapValidToIdx(v, MaskMap)

i = (1:length(MaskMap))';
i = i(MaskMap);
idx = i(v);
